import React from "react";
import { DropdownChangeParams } from "primereact/dropdown";
import "./NewWidget.scss";
import { Widget } from "../../types/widget";
interface NewWidgetProps {
    onOkButton(data: Widget): any;
    onCancelButton(): any;
    widget: Widget | null;
}
interface NewWidgetState {
    Widget: Widget;
    objectTables: any[];
    objectFields: any[];
}
declare class NewWidget extends React.Component<NewWidgetProps, NewWidgetState> {
    constructor(props: NewWidgetProps | Readonly<NewWidgetProps>);
    getData(): void;
    getObjectTables(): void;
    getObjectFields(): void;
    selectedTable: any;
    onEntityChanged: (e: DropdownChangeParams) => void;
    onGroupChanged: (e: DropdownChangeParams) => void;
    selectedValueField: {
        Id: string | null;
        FieldName: string | null;
    };
    onValueChanged: (e: DropdownChangeParams) => void;
    onCalcTypeChanged: (e: DropdownChangeParams) => void;
    render(): JSX.Element;
}
export default NewWidget;
